Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	language for statistical computing  and graphics
Name:      	R
Version:   	2.10.1
Release:   	1
Provides:	R
License: 	GNU/GPL
URL:		http://www.r-project.org/
Group:     	Science/Econometrics
Source0: 	%{name}-%{version}.tar.gz
#Patch0:		%{name}-2.5.0-install.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	gcc-gfortran
BuildRequires:  libICE-devel
BuildRequires:  libSM-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

#Automatically resolved build dependencies
BuildRequires: bzip2-devel
BuildRequires: cairo-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: libgcc
BuildRequires: libgfortran
BuildRequires: libICE-devel
BuildRequires: libicu-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libstdc++-devel
BuildRequires: libtiff-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXmu-devel
BuildRequires: libXScrnSaver-devel
BuildRequires: libXt-devel
BuildRequires: ncurses-devel
BuildRequires: pango-devel
BuildRequires: pcre-devel
BuildRequires: perl
BuildRequires: pkg-config
BuildRequires: readline-devel
BuildRequires: tcl-devel
BuildRequires: tk-devel
BuildRequires: xz-devel
BuildRequires: zlib-devel

%description
R is a language and environment for statistical computing and graphics.
It is a GNU project which is similar to the S language and environment
which was developed at Bell Laboratories
(formerly AT&T, now Lucent Technologies) by John Chambers and colleagues.
R can be considered as a different implementation of S. There are some
important differences, but much code written for S runs unaltered under R. 
R provides a wide variety of statistical (linear and nonlinear modelling,
classical statistical tests, time-series analysis, classification, clustering,
...) and graphical techniques, and is highly extensible.
The S language is often the vehicle of choice for research in statistical
methodology, and R provides an Open Source route to participation in
that activity. One of R's strengths is the ease with which well-designed
publication-quality plots can be produced, including mathematical symbols
and formulae where needed. Great care has been taken over the defaults for
the minor design choices in graphics, but the user retains full control. 
R is available as Free Software under the terms of the
Free Software Foundation's GNU General Public License in source code form.

%package	devel
Summary:	files for development of R packages.
Group:		Science/Econometrics
Requires:	R = %{version}-%{release}
%description	devel
Install R-devel if you are going to develop or compile R packages. 
This is just a stub package containing the documentation on "Writing R
Extensions".  However, installing it will ensure that the build
environment for R packages is correct.

%post
ldconfig
#/sbin/install-info %{_infodir}/ngspice.info.gz %{_infodir}/dir


%preun
#if [ "$1" = 0 ]; then
#    /sbin/install-info --del %{_infodir}/ngspice.info.gz %{_infodir}/dir
#fi

%postun
#ldconfig


%prep
%setup -q -n %{name}-%{version}
#%patch0 -p1

%build
#export F77=g77
#export FC=gfortran
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--sysconfdir=%_sysconfdir \
--infodir=%_infodir \
--with-system-zlib \
--with-system-bzlib \
--with-system-pcre \
--with-lapack \
--enable-R-shlib
#--with-tcl-config=/usr/lib/tclConfig.sh \
#--with-tk-config=/usr/lib/tkConfig.sh \

make

# don't do checks as d-q-p-r check is badly broken
#make check

# build documentation
make info
make pdf
make dvi

%install
rm -rf $RPM_BUILD_ROOT
#make 	rhome=$RPM_BUILD_ROOT%_libdir/R \
#	mandir=$RPM_BUILD_ROOT%_mandir \
#        bindir=$RPM_BUILD_ROOT%_bindir \
#	install-strip

#Install libRmath files
#(cd src/nmath/standalone; make install \
#    includedir=$RPM_BUILD_ROOT%_includedir \
#    libdir=$RPM_BUILD_ROOT%_libdir)

#Fix location of R_HOME_DIR in shell wrapper.
#sed -e "s@R_HOME_DIR=.*@R_HOME_DIR=%_libdir/R@" bin/R \
#  > $RPM_BUILD_ROOT%_libdir/R/bin/R
#chmod 755 $RPM_BUILD_ROOT%_libdir/R/bin/R 
#sed -e "s@R_HOME_DIR=.*@R_HOME_DIR=%_libdir/R@" bin/R \
#  > $RPM_BUILD_ROOT%_bindir/R
#chmod 755 $RPM_BUILD_ROOT%_bindir/R

#### old install


make install install-pdf %{?INFO:install-info} DESTDIR=${RPM_BUILD_ROOT}
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir.old

#Install libRmath files
(cd src/nmath/standalone; make install DESTDIR=${RPM_BUILD_ROOT})

mkdir -p $RPM_BUILD_ROOT/etc/ld.so.conf.d
echo "%{_libdir}/R/lib" > $RPM_BUILD_ROOT/etc/ld.so.conf.d/%{name}-%{_arch}.conf

%files
%defattr(-,root,root)
%_sysconfdir/ld.so.conf.d/R-i686.conf
%{_bindir}/R
%{_bindir}/Rscript
%{_mandir}/man1/R.1.gz
%{_mandir}/man1/Rscript.1.gz
%{_libdir}/R

%files devel
%defattr(-, root, root)
%{_includedir}/Rmath.h
%{_pkgconfig}/libR.pc
%{_pkgconfig}/libRmath.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Feb 12 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.10.1-1
- Version update
* Sun Jun 29 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.7.1-1
- Version update
* Tue Apr 22 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.7.0-1
- Version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.6.2-1
- Version update
* Fri Dec 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.6.1-1
- Version update
* Mon Aug 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.5.1-1
- Version update
* Fri Apr 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.5.0-1
- Version update
* Sat Feb 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 2.4.1-1
- Version update
* Thu Jun 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.1-1
- Version Update
* Sat May 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.0-1
- Version update
* Mon Feb 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.2.1-1
- Initial Release
